package company

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CompanyHistoryRemarkLog struct {
	LogId        int       `orm:"column(log_id);pk" comment:"日志id"`
	HistoryId    int       ` comment:"备注id"`
	CompanyId    int       `comment:"客户ID"`
	ProductId    int       `comment:"产品id"`
	Content      string    `comment:"备注内容"`
	ContentEdit  string    `comment:"修改后的备注内容"`
	SysAdminId   int       `comment:"创建人ID"`
	SysAdminName string    `comment:"创建人姓名"`
	CreateTime   time.Time `comment:"创建时间" `
}

// 新增
func AddCompanyHistoryRemarkLog(remark *CompanyHistoryRemarkLog) (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(remark)
	return
}
